// Задача "Парад роботов"
// Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Сергей Поромов, poromov@rain.ifmo.ru

const
  MAXN = 100000;

var
  i, n, k : integer;
  xx, yy, nx, ny : double;
  x, y : array[1..MAXN] of double;

begin
  reset(input, 'robots.in');
  rewrite(output, 'robots.out');
  read(n, k);
  assert((1 <= n) and (n <= MAXN));
  assert((0 <= k) and (k <= n));
  xx := 0;
  yy := 0;
  for i := 1 to n do begin
    read(x[i], y[i]);
    xx := xx + x[i];
    yy := yy + y[i];
  end;
  for i := 1 to k do begin
    nx := xx / n;
    ny := yy / n;
    xx := xx - x[i];
    yy := yy - y[i];
    xx := xx + nx;
    yy := yy + ny;
    x[i] := nx;
    y[i] := ny;
  end;
  writeln(x[k]:0:3, ' ', y[k]:0:3);
end.
